BuildRequires: libxml2-devel
BuildRequires: gcc-c++

Name:           t4k_common
Summary:        Tux4Kids common routines
Version:        0.1.1
Release:        alt1_1.8
License:        GPLv3+
Group:          Games/Educational
Url:            http://tux4kids.alioth.debian.org/
# https://alioth.debian.org/frs/?group_id=31080
Source0:        %name-%version.tar.gz
Requires:       libt4k_common0 = %version
BuildRequires:  libSDL_image-devel >= 1.2.2
BuildRequires:  libSDL_ttf-devel > 2.0.8
BuildRequires:  libSDL-devel
BuildRequires:  libSDL_net-devel
BuildRequires:  libSDL_mixer-devel
BuildRequires:  libSDL_pango-devel
BuildRequires:  ImageMagick
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  librsvg-devel
BuildRequires:  libxml2-devel
%endif
%if 0%{?fedora_version}
BuildRequires:  librsvg-devel
%endif
%if 0%{?mandriva_version}
BuildRequires:  librsvg-devel
%endif
%if 0%{?mandriva_version} >= 2009
BuildRequires: pulseaudio-esound-compat
%endif  
Source44: import.info

%description
Library of code shared between tuxmath and tuxtype.


%package -n libt4k_common0
Summary:        Shared Library between tuxmath and tuxtype
License:        GPLv3+
Group:          System/Libraries

%description -n libt4k_common0
This package contains the shared library used between tuxmath 
and tuxtype.


%package devel
Summary: 		Development files for t4k_common
Group:          Development/C++
License:        GPLv3+
Requires:       %name = %version

%description devel
This package contains header and pkg-config files for 
development.

%prep
%setup -q

%build
%configure --disable-rpath \
%if 0%{?suse_version} <= 01110
           --without-rsvg \
%endif
           --disable-static

%install
make DESTDIR=%{buildroot} install
rm %buildroot/%_libdir/libt4k_common.la

%files
%doc ABOUT-NLS COPYING README
%dir %_datadir/%name
%_datadir/%name/*

%files -n libt4k_common0
%doc COPYING
%_libdir/libt4k_common.so.*

%files devel
%_includedir/*.h
%_libdir/libt4k_common.so
%_libdir/pkgconfig/t4k_common.pc

%changelog
* Tue Aug 16 2011 Igor Vlasenko <viy@altlinux.ru> 0.1.1-alt1_1.8
- initial release by fcimport

